/* Global */

body,
main {
  background-color: var(--color-background);
}

h4 {
  margin: var(--spacing-vertical) 0;
  line-height: 1.5;
}

a,
a:visited {
  color: var(--color-link);
  color: linear-gradient(90deg, #8c80fe 0%, #00eafe 100%);
}

article h1,
article h2,
article p,
header section,
footer section {
  margin: 0 auto;
  padding: var(--spacing-vertical) var(--spacing-horizontal);
  max-width: 100%;
}

article h2:not(:first-child) {
  margin-top: calc(var(--spacing-vertical) * 2);
}

@media (min-width: 45rem) {
  article h1,
  article h2,
  article p,
  article ol,
  article ul,
  article hr,
  article blockquote,
  header section,
  footer section {
    max-width: calc(var(--width-max-section) - (var(--spacing-horizontal) * 2));
  }

  .u-standard-width {
    margin: 0 auto;
    padding: var(--spacing-vertical) var(--spacing-horizontal);
    max-width: calc(var(--width-max-section) - (var(--spacing-horizontal) * 2));
  }
}

article > p {
  padding: calc(var(--spacing-vertical) / 2) var(--spacing-horizontal);
}

button,
p.cta a,
a.cta {
  font-weight: bold;
  line-height: calc(
    ((var(--height-header) - (var(--spacing-vertical) * 2)) / 2) - 2px
  );
  display: inline-block;
  padding: 0 var(--spacing-horizontal);
  background: var(--color-complimentary);
  color: var(--color-white);

  border-radius: var(--border-radius-buttons);
  border-width: 1px;
  border-style: solid;
  border-color: rgba(0, 0, 0, 0.2);
  border-top-color: rgba(255, 255, 255, 0.2);
  border-left-color: rgba(255, 255, 255, 0.2);
  text-align: center;
}

p.cta.has-text-align-center a {
  display: inline-block;
}

p.cta a,
p.cta a:visited,
a.cta,
a.cta:visited {
  display: block;
  text-decoration: none;
  color: var(--color-white);
}

button:hover,
p.cta a:hover,
a.cta:hover {
  text-decoration: underline;
}

body.home article > .wp-block-group:first-of-type {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHZlcnNpb249JzEuMScgeG1sbnM6eGxpbms9J2h0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsnIHhtbG5zOnN2Z2pzPSdodHRwOi8vc3ZnanMuY29tL3N2Z2pzJyB3aWR0aD0nMTQ0MCcgaGVpZ2h0PSc1NjAnIHByZXNlcnZlQXNwZWN0UmF0aW89J25vbmUnIHZpZXdCb3g9JzAgMCAxNDQwIDU2MCc+PGcgbWFzaz0ndXJsKCZxdW90OyNTdmdqc01hc2sxMTQ0JnF1b3Q7KScgZmlsbD0nbm9uZSc+PHJlY3Qgd2lkdGg9JzE0NDAnIGhlaWdodD0nNTYwJyB4PScwJyB5PScwJyBmaWxsPSdyZ2JhKDI1NSwgMjU1LCAyNTUsIDEpJz48L3JlY3Q+PHBhdGggZD0nTTAgMEwyNzYuODcgMEwwIDIxLjc5eicgZmlsbD0ncmdiYSgyNTUsIDI1NSwgMjU1LCAuMSknPjwvcGF0aD48cGF0aCBkPSdNMCAyMS43OUwyNzYuODcgMEw4ODkuNDcgMEwwIDk1Ljg0eicgZmlsbD0ncmdiYSgyNTUsIDI1NSwgMjU1LCAuMDc1KSc+PC9wYXRoPjxwYXRoIGQ9J00wIDk1Ljg0TDg4OS40NyAwTDk3MS43IDBMMCAyMjkuNDh6JyBmaWxsPSdyZ2JhKDI1NSwgMjU1LCAyNTUsIC4wNSknPjwvcGF0aD48cGF0aCBkPSdNMCAyMjkuNDhMOTcxLjcgMEwxMTkyLjMyMDAwMDAwMDAwMDIgMEwwIDIyOS45NXonIGZpbGw9J3JnYmEoMjU1LCAyNTUsIDI1NSwgLjAyNSknPjwvcGF0aD48cGF0aCBkPSdNMTQ0MCA1NjBMOTQ2LjM1IDU2MEwxNDQwIDM4MS4zNnonIGZpbGw9J3JnYmEoMCwgMCwgMCwgLjEpJz48L3BhdGg+PHBhdGggZD0nTTE0NDAgMzgxLjM2TDk0Ni4zNSA1NjBMNzcyLjgxMDAwMDAwMDAwMDEgNTYwTDE0NDAgMjkzLjIyeicgZmlsbD0ncmdiYSgwLCAwLCAwLCAuMDc1KSc+PC9wYXRoPjxwYXRoIGQ9J00xNDQwIDI5My4yMkw3NzIuODEwMDAwMDAwMDAwMSA1NjBMNjM4Ljc4MDAwMDAwMDAwMDEgNTYwTDE0NDAgMjE5Ljg2eicgZmlsbD0ncmdiYSgwLCAwLCAwLCAuMDUpJz48L3BhdGg+PHBhdGggZD0nTTE0NDAgMjE5Ljg2TDYzOC43ODAwMDAwMDAwMDAxIDU2MEwyMjYuOTUwMDAwMDAwMDAwMSA1NjBMMTQ0MCAxMzYuODF6JyBmaWxsPSdyZ2JhKDAsIDAsIDAsIC4wMjUpJz48L3BhdGg+PC9nPjxkZWZzPjxtYXNrIGlkPSdTdmdqc01hc2sxMTQ0Jz48cmVjdCB3aWR0aD0nMTQ0MCcgaGVpZ2h0PSc1NjAnIGZpbGw9J3doaXRlJz48L3JlY3Q+PC9tYXNrPjwvZGVmcz48L3N2Zz4=");
  background-size: cover;
  background-repeat: no-repeat;
  margin: 0;
  padding-top: 0;
  padding-bottom: 0;
  overflow: hidden;
}

.wp-block-cover {
  margin-bottom: calc(var(--spacing-vertical) * 2);
}
